<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
	 
	// include database and object files
	include_once '../../config/database.php';
	include_once '../../objects/item.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$item = new Item($db);
	$data = json_decode(file_get_contents("php://input"));

	$item->city = $data->city;	

	$stmt = $item->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail=array(
				"id" => (int)$id,
				"item_code" => $item_code,
				"item_name" => $item_name,
				"min_stock_level" => number_format($min_stock_level),
				"price" => number_format($price),
				"sales_price" => number_format($sales_price)
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>